import {useEffect, useState} from 'react';
import EncryptedStorage from 'react-native-encrypted-storage';

export const Constants = {
  GLOBALS: {
    MIN_SCANNER_NAME_LENGTH: 3,
    MAX_SCANNER_NAME_LENGTH: 16,
  },
};
/* const getScannerSession = async () => {
    try {
      const scannerSession = await EncryptedStorage.getItem('scanner_session');

      if (scannerSession !== undefined) {
        console.log('Scanner session', scannerSession);
        return scannerSession;
      }
      return null;
    } catch (error) {
      console.error(error);
    }
  }; */
export function UseScannerSession() {
  const [scannerSession, setScannerSession] = useState('');

  useEffect(() => {
    const getScannerSession = async () => {
      try {
        const session = await EncryptedStorage.getItem('scanner_session');
        setScannerSession(session);
        console.log('set scanner session', session);
      } catch (error) {
        console.error(error);
      }
    };

    getScannerSession();
  }, []);

  const saveScannerSession = async scannerSession => {
    console.log('Saving session', scannerSession);
    setScannerSession(scannerSession);

    if (scannerSession === undefined) {
      console.log('here1');
      await EncryptedStorage.removeItem('scanner_session');
    } else {
      console.log('here2');
      await EncryptedStorage.setItem('scanner_session', scannerSession);
    }
  };

  return {
    setScannerSession: saveScannerSession,
    scannerSession,
  };
}
